[stunnel-users] Installing Stunnel 4.21 on Shared Hosting Server with OpenSSL 0.9.6g

Gonzalo Diethelm gonzalo.diethelm at diethelm.org
Sun Feb 17 05:58:23 CET 2008

PHP indicates that the OpenSSL runtime libraries and executables are
installed. In order to compile, you need the OpenSSL development

Hope that helps. Best regards.

On Sat, 2008-02-16 at 12:42 -0500, Norbert Hoeller wrote:

> I am trying to install Stunnel 4.21 on a 1&1 shared Linux server.  PHP
> Settings claims that OpenSSL 0.9.6g is installed.  I unpacked the tar
> file and ran "./configure" using --prefix to override the /usr/local/
> install directory.  I had one warning: "configure: WARNING: Openssl
> engine header not found".  In terms of threading model, I got
> "configure: PTHREAD thread model detected". 
> When I tried to run "make", I got "common.h:318: #error OpenSSL
> library compiled without thread support".  Is there a way around
> this?  I tried running "./configure" with
> --with-threads=ucontext/fork, but that gave a bunch of "OCSP_"
> undeclared variables and "Error 1". 
>         Thanks, Norbert 
> _______________________________________________
> stunnel-users mailing list
> stunnel-users at mirt.net
> http://stunnel.mirt.net/mailman/listinfo/stunnel-users

Gonzalo Diethelm
gonzalo.diethelm at diethelm.org
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://www.stunnel.org/pipermail/stunnel-users/attachments/20080217/ab94f1af/attachment.html>

More information about the stunnel-users mailing list